import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel } from '../../shared';
import { WfProjectContainerModel } from '../../../../../../models/aggregates/wf/project/wf-project-container.model';
import { HttpClient } from '@angular/common/http';
import { Observable } from "rxjs";
export declare class WfProjectService extends BaseApiTemplateService<WfProjectContainerModel> {
    constructor(http: HttpClient);
    uploadFile(formData: FormData, projectHdrGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    replaceFile(formData: FormData, extGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
}
